Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hssf.record.formula
Class AreaI.OffsetArea

    java.lang.Object
      org.apache.poi.hssf.record.formula.AreaI.OffsetArea

All Implemented Interfaces:
  AreaI

Enclosing interface:
  AreaI

    public static class AreaI.OffsetArea

extends java.lang.Object
implements AreaI

Nested Class Summary

Nested classes/interfaces inherited from interface org.apache.poi.hssf.record.formula.AreaI
`AreaI.OffsetArea`

Constructor Summary
`AreaI.OffsetArea(int baseRow, int baseColumn, int relFirstRowIx, int relLastRowIx, int relFirstColIx, int relLastColIx)`

Method Summary
`int` | `getFirstColumn()`
`int` | `getFirstRow()`
`int` | `getLastColumn()`
`int` | `getLastRow()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AreaI.OffsetArea

    public AreaI.OffsetArea(int baseRow,
                            int baseColumn,
                            int relFirstRowIx,
                            int relLastRowIx,
                            int relFirstColIx,
                            int relLastColIx)

Method Detail

### getFirstColumn

    public int getFirstColumn()

  Specified by:
    `getFirstColumn` in interface `AreaI`
  Returns:
    the first column number in the area.

### getFirstRow

    public int getFirstRow()

  Specified by:
    `getFirstRow` in interface `AreaI`
  Returns:
    the first row in the area

### getLastColumn

    public int getLastColumn()

  Specified by:
    `getLastColumn` in interface `AreaI`
  Returns:
    lastcolumn in the area

### getLastRow

    public int getLastRow()

  Specified by:
    `getLastRow` in interface `AreaI`
  Returns:
    last row in the range (x2 in x1,y1-x2,y2)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD